Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Schedule Calls
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
        GET
      • Update Schedule Calls
        PATCH
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
      GET
    • View Apartment Details
      GET
    • Get Avaliable Apartments
      GET
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Schedule Calls

View All Schedules

GET
/admin/schedule/all
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/admin/schedule/all' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "Request data successfully queried",
    "data": {
        "data": [
            {
                "reminder": false,
                "_id": "6539c618504fb3181219efb3",
                "fullName": "Abdullah Yahaya",
                "email": "abdullah@mail.com",
                "date": "2019-03-02",
                "time": "10:04AM",
                "message": "Abdullah is just testing this",
                "createdAt": "2023-10-26T01:51:20.674Z",
                "updatedAt": "2023-10-26T01:51:20.674Z",
                "__v": 0
            },
            {
                "reminder": false,
                "_id": "653af9e69fa5fd3bf44d6159",
                "fullName": "Abdullah Yahaya",
                "email": "abdullah@mail.com",
                "date": "2019-03-02",
                "time": "10:04AM",
                "message": "Abdullah is just testing this",
                "createdAt": "2023-10-26T23:44:38.842Z",
                "updatedAt": "2023-10-26T23:44:38.842Z",
                "__v": 0
            },
            {
                "reminder": false,
                "_id": "653b66506745c52769c9a135",
                "fullName": "Abdullah Yahaya",
                "email": "abdullah@mail.com",
                "date": "2019-03-02",
                "time": "10:04AM",
                "message": "Abdullah is just testing this",
                "createdAt": "2023-10-27T07:27:13.036Z",
                "updatedAt": "2023-10-27T07:27:13.036Z",
                "__v": 0
            }
        ]
    }
}
Modified at 2026-03-12 17:03:01
Previous
Get Statistics
Next
Update Schedule Calls
Built with